CREATE DATABASE ORF
go
USE ORF
ALTER DATABASE ORF SET AUTO_CLOSE OFF WITH NO_WAIT

EXEC sp_addlogin 'orfuser', 'ChangeThisPwd#1'

EXEC sp_defaultdb 'orfuser', 'ORF'

EXEC sp_changedbowner 'orfuser'

CREATE TABLE dbo.ASWL (
	ASWL_ID int NOT NULL IDENTITY (1, 1),
	ASWL_SENDER_EMAIL varchar(255) NOT NULL,
	ASWL_SENDER_DOMAIN varchar(255) NOT NULL,
	ASWL_RECIPIENT_EMAIL varchar(255) NOT NULL,
	ASWL_LASTHIT datetime NOT NULL
)

ALTER TABLE [dbo].[ASWL] ADD CONSTRAINT [PK_ASWL_ID] PRIMARY KEY CLUSTERED ([ASWL_ID])

CREATE NONCLUSTERED INDEX [ASWL_IDX_SENDER_EMAIL] ON [dbo].[ASWL] ([ASWL_SENDER_EMAIL] ASC)

CREATE NONCLUSTERED INDEX [ASWL_IDX_SENDER_DOMAIN] ON [dbo].[ASWL] ([ASWL_SENDER_DOMAIN] ASC)

CREATE NONCLUSTERED INDEX [ASWL_IDX_RECIPIENT_EMAIL] ON [dbo].[ASWL] ([ASWL_RECIPIENT_EMAIL] ASC)

CREATE NONCLUSTERED INDEX [ASWL_IDX_LASTHIT] ON [dbo].[ASWL] ([ASWL_LASTHIT] ASC)

CREATE TABLE dbo.GREY
(
	GREY_ID int NOT NULL IDENTITY (1, 1),
	GREY_SIGNATURE varchar(32) NOT NULL,
	GREY_SIGNATURE_24 varchar(32) NOT NULL,
	GREY_IP varchar(15) NOT NULL,
	GREY_SENDER varchar(255) NOT NULL,
	GREY_RECIPIENT varchar(255) NOT NULL,
	GREY_CREATED datetime NOT NULL,
	GREY_LASTHIT datetime NOT NULL
)

ALTER TABLE [dbo].[GREY] ADD CONSTRAINT	[PK_GREY_ID] PRIMARY KEY CLUSTERED ([GREY_ID])

CREATE NONCLUSTERED INDEX [GREY_IDX_SIGNATURE] ON [dbo].[GREY] ([GREY_SIGNATURE] ASC)

CREATE NONCLUSTERED INDEX [GREY_IDX_SIGNATURE_24] ON [dbo].[GREY] ([GREY_SIGNATURE_24] ASC)

CREATE NONCLUSTERED INDEX [GREY_IDX_CREATED] ON [dbo].[GREY] ([GREY_CREATED] ASC)

CREATE NONCLUSTERED INDEX [GREY_IDX_LASTHIT] ON [dbo].[GREY] ([GREY_LASTHIT] ASC)

CREATE TABLE dbo.HoneypotBlacklist (
    Id int NOT NULL IDENTITY (1, 1),
    IpAddress VARCHAR(15) NOT NULL,
    LastUpdateTime DATETIME NOT NULL
)

ALTER TABLE [dbo].[HoneypotBlacklist] ADD CONSTRAINT [PK_HoneypotBlacklist_Id] PRIMARY KEY CLUSTERED ([Id])

CREATE NONCLUSTERED INDEX [IDX_HoneypotBlacklist_IpAddress] ON [dbo].[HoneypotBlacklist] ([IpAddress] ASC)

CREATE NONCLUSTERED INDEX [IDX_HoneypotBlacklist_LastUpdateTime] ON [dbo].[HoneypotBlacklist] ([LastUpdateTime] ASC)

CREATE TABLE dbo.DhaHistory (
    Id int NOT NULL IDENTITY (1, 1),
    IpAddress VARCHAR(15) NOT NULL,
    AttemptTime DATETIME NOT NULL
)

CREATE TABLE dbo.DhaBlacklist (
    Id int NOT NULL IDENTITY (1, 1),
    IpAddress VARCHAR(15) NOT NULL,
    LastUpdateTime DATETIME NOT NULL
)

ALTER TABLE [dbo].[DhaHistory] ADD CONSTRAINT [PK_DhaHistory_Id] PRIMARY KEY CLUSTERED ([Id])

ALTER TABLE [dbo].[DhaBlacklist] ADD CONSTRAINT [PK_DhaBlacklist_Id] PRIMARY KEY CLUSTERED ([Id])

CREATE NONCLUSTERED INDEX [IDX_DhaHistory_IpAddress] ON [dbo].[DhaHistory] ([IpAddress] ASC)

CREATE NONCLUSTERED INDEX [IDX_DhaHistory_AttemptTime] ON [dbo].[DhaHistory] ([AttemptTime] ASC)

CREATE NONCLUSTERED INDEX [IDX_DhaBlacklist_IpAddress] ON [dbo].[DhaBlacklist] ([IpAddress] ASC)

CREATE NONCLUSTERED INDEX [IDX_DhaBlacklist_LastUpdateTime] ON [dbo].[DhaBlacklist] ([LastUpdateTime] ASC)

